View Issue Details

IDProjectCategoryPrivateLast Update
0004856Battlefield 1Controls/InputNo2018-03-07 11:23
Status FixedResolutionFixed 
Product VersionUpdate 11122017 - Gallipoli Update 
Fixed in VersionUpdate 20022018 - Apocalypse Update 
Summary0004856: Boat repair fixed keybind

The newly repair for the Y-Lighter and Torpedo Boats is fixed to the button X.
I guess you still are on the soldier preset in those boats which does not have a repair bind. So it reverts to the default.

Repair on the Destroyer is using my custom binding. Guess for that one you are on the vehicle preset as you spawn in as a tanker too.

Actual Result
Expected Result



2018-01-14 12:49

Registered User

Managed to change it to my custom keybind. Done with editing the PROFSAVE_profile_synced file located in Documents\Battlefield 1\settings folder.
It happens to use the transport layout buttons. Which indeed does not have an repair option in the menu. Hench it uses the default X key.

For those interested in to the edited changes (do make a backup of the file):
Find GstKeyBinding.vehicle.ConceptFireCountermeasure to get your keybindings

I copied and pasted those lines under:
GstKeyBinding.transport.ConceptFire.2.type 2
and changed vehicle to transport.


2018-02-20 23:23

Registered User

Repair keybind added for the transport vehicles in the Apocalypse Update. Tested it with a clean config. Thank you for the fix.